<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Mi exámen | Verse Consulting</title>
    <link rel="stylesheet" href="https://bootswatch.com/4-alpha/flatly/bootstrap.min.css" media="screen" title="no title" charset="utf-8">
    <link rel="stylesheet" href="https://bootswatch.com/4-alpha/assets/css/custom.min.css" media="screen" title="no title" charset="utf-8">
    <link rel="stylesheet" href="/css/style.css" media="screen" title="no title" charset="utf-8">
    <script type="text/javascript" src="/src/angular/angular.min.js"></script>
        <script type="text/javascript" src="/js/services.js"></script>
    <script type="text/javascript" src="/js/app.js"></script>
    <script type="text/javascript" src="/src/jquery/dist/jquery.min.js"></script>
    <script type="text/javascript" src="/src/bootstrap/dist/js/bootstrap.min.js"></script><div class="container">

  </head>
  <body ng-app="Verse">
    <div class="navbar navbar-toggleable-md fixed-top navbar-inverse bg-primary">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="container">
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <a href="../" class="navbar-brand">Mi exámen | Verse Consulting</a>
            <ul class="nav navbar-nav ml-auto">
            <li class="nav-item">
              <a class="nav-link" target="_blank">Arce Muñoz Ocampo</a>
            </li>
          </ul>

        </div>
      </div>
    </div>
    <div class="container" ng-controller="start">

      <div class="row">
        <div class="col-md-12">
          <h1>Lista de empleados</h1>
          <table class="table table-hover table-bordered">
                <thead class="thead-inverse">
                  <tr>
                    <th>#</th>
                    <th>PersonalName</th>
                    <th>BusinessName</th>
                    <th>Phone</th>
                    <th>Email</th>
                    <th>CreatedDate</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody>
                  <tr ng-repeat="empleado in empleados" ng-class="{'table-success':empleado.status==1}">
                    <td>{{empleado.idEmpleado}}</td>
                    <td>{{empleado.PrincipalName}}</td>
                    <td>{{empleado.BusinessName}}</td>
                    <td>{{empleado.Phone}}</td>
                    <td>{{empleado.Email}}</td>
                    <td ng-bind="empleado.CreatedDate | date:'dd/MM/yyyy'"></td>
                    <td>
                      <button type="button" class="btn btn-secondary" data-toggle="modal" data-target=".modal" ng-click="abrirModal('update',empleado)">Editar</button>
                      <button type="button" class="btn btn-danger" ng-click="abrirModal('delete',empleado)">Eliminar</button>
                  </td>
                  </tr>
                </tbody>
              </table>
        </div>
      </div>
      <hr>
      <div class="row">
        <div class="col-md-12">
          <button  class="btn btn-primary" data-toggle="modal" data-target=".modal" ng-click="abrirModal('insert',{})">Nueva empleado</button>
        </div>
      </div>
      <div class="modal" id="myModal">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true"></span>
              </button>
            </div>
            <div class="modal-body">
              <form>
                <fieldset>
                  <legend>Empleado</legend>
                  <div class="form-group">
                    <label for="rfc">RFC</label>
                    <input type="text" class="form-control" id="rfc" placeholder="RFC" ng-model="emp.RFC">
                    <small class="form-text text-muted">RFC del empleado.</small>
                  </div>
                  <div class="form-group">
                    <label for="empleado">Nombre del empleado</label>
                    <input type="text" class="form-control" id="empleado" placeholder="Nombre" ng-model="emp.PrincipalName">
                    <small class="form-text text-muted">Escribe el nombre de empleado.</small>
                  </div>
                  <div class="form-group">
                    <label for="BusinessName">BusinessName</label>
                    <input type="text" class="form-control" id="BusinessName" placeholder="BusinessName" ng-model="emp.BusinessName">
                    <small class="form-text text-muted">Nombre de la empresa.</small>
                  </div>
                  <div class="form-group">
                    <label for="phone">Phone</label>
                    <input type="number" class="form-control" id="phone" placeholder="Phone" ng-model="emp.Phone">
                    <small class="form-text text-muted">Número de teléfono.</small>
                  </div>
                  <div class="form-group">
                    <label for="email">Correo Electrónico</label>
                    <input type="email" class="form-control" id="email" placeholder="Email" ng-model="emp.Email">
                    <small class="form-text text-muted">Correo electrónico.</small>
                  </div>
                  <div class="form-group">
                    <label for="activa">¿Activo?</label>
                    <select class="form-control" id="activa" ng-model="emp.status" ng-options="opt.id as opt.label for opt in status ">
                    </select>
                  </div>
                </fieldset>
              </form>
              <div class="row">
                <div class="col-md-12">
                  <h4 class="text-center {{message.type}}">{{message.text}}</h4>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <div class="col-md-12">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                  <button type="button" class="btn btn-primary" ng-click="save('update')">Guardar Cambios</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
  </div>
</html>
